package com.red.circle.other.infra.database.mongo.service.team.team;

import com.red.circle.other.infra.database.mongo.entity.team.team.TeamExchangeSurplusTarget;
import java.util.List;

/**
 * 将主播剩余目标兑换成美元记录.
 *
 * @author pengshigang on 2023/5/25
 */
public interface TeamExchangeSurplusTargetService {

  List<TeamExchangeSurplusTarget> listByCondition(Long lastId, Long userId, String sysOrigin,
      Integer dateNumber);

  void add(TeamExchangeSurplusTarget param);

  Boolean exist(Long userId, Integer dateNumber);

  String getTotalAmountUsd(Long userId, String sysOrigin, Integer dateNumber);

}
